ReflectiveTypeAdapterFactory
Date: 2016-11-03

com.google.gson.internal.bind

## Class ReflectiveTypeAdapterFactory

- java.lang.Object
- - com.google.gson.internal.bind.ReflectiveTypeAdapterFactory

- All Implemented Interfaces:
    TypeAdapterFactory

      public final class ReflectiveTypeAdapterFactory
      extends java.lang.Object
      implements TypeAdapterFactory

  Type adapter that reflects over the fields and methods of a class.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ReflectiveTypeAdapterFactory.Adapter<T>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReflectiveTypeAdapterFactory(ConstructorConstructor constructorConstructor, FieldNamingStrategy fieldNamingPolicy, Excluder excluder, JsonAdapterAnnotationTypeAdapterFactory jsonAdapterFactory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> TypeAdapter<T>` | `create(Gson gson, TypeToken<T> type)` Returns a type adapter for `type`, or null if this factory doesn't support `type`.
    `boolean` | `excludeField(java.lang.reflect.Field f, boolean serialize)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReflectiveTypeAdapterFactory

          public ReflectiveTypeAdapterFactory(ConstructorConstructor constructorConstructor,
                                      FieldNamingStrategy fieldNamingPolicy,
                                      Excluder excluder,
                                      JsonAdapterAnnotationTypeAdapterFactory jsonAdapterFactory)

  - ### Method Detail

    - #### excludeField

          public boolean excludeField(java.lang.reflect.Field f,
                             boolean serialize)

    - #### create

          public <T> TypeAdapter<T> create(Gson gson,
                                  TypeToken<T> type)

      Description copied from interface: `TypeAdapterFactory`
      Returns a type adapter for `type`, or null if this factory doesn't support `type`.
      Specified by:
        `create` in interface `TypeAdapterFactory`